import 'package:parodia_admin/core/dto/base.dto.dart';

class SuggestionDTO extends BaseDTO {
  String? name;
  String? surname;
  String? phoneNumber;
  String? email;
  String? subject;
  String? message;
  bool? solved;

  SuggestionDTO(
      {super.id,
      super.createdAt,
      super.updatedAt,
      super.isActive,
      super.isDeleted,
      this.name,
      this.surname,
      this.phoneNumber,
      this.email,
      this.subject,
      this.message,
      this.solved});

  SuggestionDTO.fromJson(Map<String, dynamic> json) : super.fromJson(json) {
    name = json['name'];
    surname = json['surname'];
    phoneNumber = json['phoneNumber'];
    email = json['email'];
    subject = json['subject'];
    message = json['message'];
    solved = json['solved'];
  }

  @override
  Map<String, dynamic> toJson() {
    final Map<String, dynamic> data = super.toJson();
    data['name'] = name;
    data['surname'] = surname;
    data['phoneNumber'] = phoneNumber;
    data['email'] = email;
    data['subject'] = subject;
    data['message'] = message;
    data['solved'] = solved;
    return data;
  }
}
