import 'package:parodia_admin/core/dto/base.dto.dart';

class TaxDTO extends BaseDTO {
  String? name;
  int? percentage;

  TaxDTO({
    super.id,
    super.createdAt,
    super.updatedAt,
    super.isActive,
    super.isDeleted,
    this.name,
    this.percentage,
  });

  TaxDTO.fromJson(Map<String, dynamic> json) : super.fromJson(json) {
    name = json['name'];
    percentage = json['percentage'];
  }

  @override
  Map<String, dynamic> toJson() {
    final Map<String, dynamic> data = super.toJson();
    data['name'] = name;
    data['percentage'] = percentage;
    return data;
  }
}
