import 'package:parodia_admin/core/dto/base.dto.dart';

class VariantDTO extends BaseDTO {
  String? name;

  VariantDTO(
      {super.id,
      super.createdAt,
      super.updatedAt,
      super.isActive,
      super.isDeleted,
      this.name});

  VariantDTO.fromJson(Map<String, dynamic> json) : super.fromJson(json) {
    name = json['name'];
  }

  @override
  Map<String, dynamic> toJson() {
    final Map<String, dynamic> data = super.toJson();
    data['name'] = name;
    return data;
  }
}
