import 'package:parodia_admin/core/dto/base.dto.dart';

class VehicleDTO extends BaseDTO {
  String? licensePlate;
  String? brand;
  String? model;
  String? year;
  String? chauffeurName;
  String? chauffeurSurname;
  String? chauffeurPhoneNumber;

  VehicleDTO(
      {super.id,
      super.createdAt,
      super.updatedAt,
      super.isActive,
      super.isDeleted,
      this.licensePlate,
      this.brand,
      this.model,
      this.year,
      this.chauffeurName,
      this.chauffeurSurname,
      this.chauffeurPhoneNumber});

  VehicleDTO.fromJson(Map<String, dynamic> json) : super.fromJson(json) {
    licensePlate = json['licensePlate'];
    brand = json['brand'];
    model = json['model'];
    year = json['year'];
    chauffeurName = json['chauffeurName'];
    chauffeurSurname = json['chauffeurSurname'];
    chauffeurPhoneNumber = json['chauffeurPhoneNumber'];
  }

  @override
  Map<String, dynamic> toJson() {
    final Map<String, dynamic> data = super.toJson();
    data['licensePlate'] = licensePlate;
    data['brand'] = brand;
    data['model'] = model;
    data['year'] = year;
    data['chauffeurName'] = chauffeurName;
    data['chauffeurSurname'] = chauffeurSurname;
    data['chauffeurPhoneNumber'] = chauffeurPhoneNumber;
    return data;
  }
}
