// GET
// /api/v1/dashboard/catalogs/assigns/{id}

// PUT
// /api/v1/dashboard/catalogs/assigns/{id}

// DELETE
// /api/v1/dashboard/catalogs/assigns/{id}

// GET
// /api/v1/dashboard/catalogs/assigns

// POST
// /api/v1/dashboard/catalogs/assigns

// POST
// /api/v1/dashboard/catalogs/assigns/multiple

// POST
// /api/v1/dashboard/catalogs/assigns/{id}/recover

import 'package:parodia_admin/core/dto/address.dto.dart';
import 'package:parodia_admin/core/dto/response_item.dto.dart';
import 'package:parodia_admin/core/enums.dart';
import 'package:parodia_admin/core/http/parodia_http.dart';

class AssignedCatalogRepository {
  ParodiaHTTP? _http;

  AssignedCatalogRepository(ParodiaHTTP http) {
    _http = http;
  }

    Future<ResponseItemDTO<AddressDTO>> getAddress({String? id}) async {
    final response = await _http!.request(
      requestType: RequestType.get,
      path: '/addresses',
      param: id,
    );

    return ResponseItemDTO<AddressDTO>(
      response: response,
      fromJson: AddressDTO.fromJson,
    );
  }
}
