// GET
// /api/v1/dashboard/dashboard/timelines

// DELETE
// /api/v1/dashboard/dashboard/timelines/{id}

// POST
// /api/v1/dashboard/dashboard/timelines/{id}/recover

import 'package:parodia_admin/core/dto/promo_code.dto.dart';
import 'package:parodia_admin/core/dto/response_item.dto.dart';
import 'package:parodia_admin/core/dto/response_list.dto.dart';
import 'package:parodia_admin/core/enums.dart';
import 'package:parodia_admin/core/http/parodia_http.dart';

class TimelineRepository {
  ParodiaHTTP? _http;

  TimelineRepository(ParodiaHTTP http) {
    _http = http;
  }

  // Future<ResponseListDTO<PromoCodeDTO>> getAll() async {
  //   final response = await _http!.request(
  //     requestType: RequestType.get,
  //     path: '/dashboard/timelines',
  //   );

  //   return ResponseListDTO<PromoCodeDTO>(
  //     response: response,
  //     fromJson: PromoCodeDTO.fromJson,
  //   );
  // }

  Future<ResponseItemDTO> delete({String? id}) async {
    final response = await _http!.request(
      requestType: RequestType.delete,
      path: '/dashboard/timelines',
      param: id,
    );

    return ResponseItemDTO(
      response: response,
      fromJson: null,
    );
  }

  Future<ResponseItemDTO> recover({String? id}) async {
    final response = await _http!.request(
      requestType: RequestType.post,
      path: '/dashboard/timelines/$id/recover',
    );

    return ResponseItemDTO(
      response: response,
      fromJson: null,
    );
  }
}
