// import 'package:flutter/material.dart';
// import 'package:parodia/core/dto/address.dto.dart';
// import 'package:parodia/core/dto/response_item.dto.dart';
// import 'package:parodia/core/dto/response_list.dto.dart';
// import 'package:parodia/core/http/parodia_http.dart';
// import 'package:parodia/core/model/body_data.model.dart';
// import 'package:parodia/core/repository/address.repository.dart';

// class ParodiaAddressProvider with ChangeNotifier {
//   AddressRepository? _repository;

//   ResponseListDTO<AddressDTO>? _address;
//   ResponseListDTO<AddressDTO>? get address => _address;

//   ParodiaAddressProvider();
//   ParodiaAddressProvider.init(ParodiaHTTP http) {
//     _repository = AddressRepository(http);
//   }

//   Future<ResponseListDTO<AddressDTO>?> getAllAdresses() async {
//     if (_repository == null) {
//       throw Exception("AddressRepository is not initialized.");
//     }
//     _address = await _repository!.getAllAdresses();
//     notifyListeners();
//     return _address;
//   }

//   Future<ResponseItemDTO<AddressDTO>> getAddressById(String id) async {
//     if (_repository == null) {
//       throw Exception("AddressRepository is not initialized.");
//     }
//     return await _repository!.getAddress(id: id);
//   }

//   Future<ResponseItemDTO> createAddress(AddressBodyDataModel data) async {
//     if (_repository == null) {
//       throw Exception("AddressRepository is not initialized.");
//     }
//     final result = await _repository!.createAdresses(data: data);
//     if (!result.hasError) {
//       getAllAdresses();
//       notifyListeners();
//     }
//     return result;
//   }

//   Future<ResponseItemDTO> updateAddress(
//       AddressBodyDataModel data, String? id) async {
//     if (_repository == null) {
//       throw Exception("AddressRepository is not initialized.");
//     }
//     final result = await _repository!.updateAddress(data: data, id: id);
//     if (!result.hasError) {
//       getAllAdresses();
//       notifyListeners();
//     }
//     return result;
//   }

//   Future<ResponseItemDTO> deleteAddress(String id) async {
//     if (_repository == null) {
//       throw Exception("AddressRepository is not initialized.");
//     }

//     final result = await _repository!.deleteAdresses(id: id);
//     if (!result.hasError) {
//       getAllAdresses();
//       notifyListeners();
//     }
//     return result;
//   }
// }
