import 'package:flutter/material.dart';
import 'package:parodia_admin/core/dto/response_item.dto.dart';
import 'package:parodia_admin/core/http/parodia_http.dart';
import 'package:parodia_admin/core/repository/timeline.repository.dart';

class ParodiaTimelineProvider with ChangeNotifier {
  TimelineRepository? _repository;

  ParodiaTimelineProvider();
  ParodiaTimelineProvider.init(ParodiaHTTP http) {
    _repository = TimelineRepository(http);
  }
  Future<ResponseItemDTO> delete({String? id}) async {
    return await _repository!.delete(
      id: id,
    );
  }

  Future<ResponseItemDTO> recover({String? id}) async {
    return await _repository!.recover(
      id: id,
    );
  }
}
