import 'package:parodia_admin/core/dto/base.dto.dart';

class MailTemplateDTO extends BaseDTO {
  String? name;
  String? title;
  String? content;
  String? design;

  MailTemplateDTO(
      {super.id,
      super.createdAt,
      super.updatedAt,
      super.isActive,
      super.isDeleted,
      this.name,
      this.title,
      this.content,
      this.design});

  MailTemplateDTO.fromJson(Map<String, dynamic> json) : super.fromJson(json) {
    name = json['name'];
    title = json['title'];
    content = json['content'];
    design = json['design'];
  }

  @override
  Map<String, dynamic> toJson() {
    final Map<String, dynamic> data = super.toJson();
    data['name'] = name;
    data['title'] = title;
    data['content'] = content;
    data['design'] = design;
    return data;
  }
}
