import 'package:parodia_admin/core/dto/base.dto.dart';

class ThemeDTO extends BaseDTO {
  String? name;
  String? title;
  String? content;
  String? design;

  ThemeDTO(
      {super.id,
      super.createdAt,
      super.updatedAt,
      super.isActive,
      super.isDeleted,
      this.name,
      this.title,
      this.content,
      this.design});

  ThemeDTO.fromJson(Map<String, dynamic> json) : super.fromJson(json) {
    id = json['id'];
    createdAt = json['createdAt'];
    name = json['name'];
    title = json['title'];
    content = json['content'];
    design = json['design'];
  }

  Map<String, dynamic> toJson() {
    final Map<String, dynamic> data = new Map<String, dynamic>();
    data['name'] = this.name;
    data['title'] = this.title;
    data['content'] = this.content;
    data['design'] = this.design;
    return data;
  }
}
