enum ContentType {
  json,
  multipart,
}

enum RequestType {
  get,
  post,
  put,
  delete,
}

enum Status {
  semi_active,
  active,
  inactive,
  deleted,
}

enum Sort {
  name_asc,
  name_desc,
  highlight_name_asc,
  highlight_name_desc,
  date_asc,
  date_desc,
}

enum CampaignType {
  cart,
  announcement,
  collection,
  standard,
  cargo,
}

enum CampaignSort {
  highlight_asc,
  highlight_desc,
  date_asc,
  date_desc,
}

enum CategorySort {
  a_to_z,
  z_to_a,
  sort_index_asc,
  sort_index_desc,
}

enum OrderStatus {
  waiting,
  preparing,
  cancelled,
  approved,
  on_delivery,
  delivered,
  refunded,
  completed,
}

enum OrderSort {
  date_asc,
  date_desc,
}

enum ProductSort {
  a_to_z,
  z_to_a,
  brand_a_to_z,
  brand_z_to_a,
  price_asc,
  price_desc,
  date_asc,
  date_desc,
  publish_asc,
  publish_desc,
}

enum DateType {
  all_times,
  monthly,
  weekly,
  daily,
}

enum ReportType {
  statistic,
  product,
  category,
  sale,
}

enum CurrencyType {
  base,
  sold,
  sale,
}

enum StockType {
  receiving,
  sale,
  transfer,
  correction,
  refund,
}

enum StockStatus {
  stock_in,
  out,
}

enum StockOrderStatus {
  waiting,
  cancelled,
  completed,
}

enum TicketFilter {
  all,
  created_by_me,
  includes_me,
  assigned_to_me,
}

 enum StoreUserType {
  admin,
  store_user,
  customer,
}